--    Ныряльщик/The Diver
--    Copyright (C) 2024  Luka (ot-luki@yandex.ru)
--
--    This program is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with this program.  If not, see <https://www.gnu.org/licenses/>.

room {
nam = 'Активация цепей';
disp = 'Зал';
pic = 'img/hall_active'..picext;
--onexit = function(s) fading.change{'none'} end;
noinv = true;
decor = function(s) return str(s) end;
}

room {
nam = 'Преображение';
disp = 'Зал';
pic = 'img/hall_final'..picext;
onexit = function(s) fading.change{'none'} end;
noinv = true;
decor = function(s) return str(s) end;
}

room {
nam = 'Зал_финал';
disp = 'Зал';
pic = 'img/hall_final'..picext;
onexit = function(s) fading.change{'none'} end;
way = {path{'В коридор', 'Западный коридор финал'}};
}:with{
obj {
dsc = 'Зал окутан полутьмой, двери в соседние комнаты прочно заперты. С трудом вы различаете чёрный провал, ведущий на запад, в коридор наружу. Над головой раздаются звуки, напоминающие щелчки и скрипы. Крест посередине зала слегка светится, только благодаря этому здесь ещё хоть что-то видно. Под ногами хрустят осколки разбитого кувшина. Руки в углах комнаты тянутся и делают хватающие движения. К счастью, они присоединены к стенам и не могут до вас дотянуться.';
};
obj {
dsc = [[{Ладонь} на юго-востоке машет влево-вправо то ли прощаясь, то ли пытаясь привлечь ваше внимание.
^
Не стоит здесь задерживаться.]];
act = 'Она показывает пальцем куда-то вниз.';
used = function(s,w)
            if w^'Веретено' then
                pn 'Ладонь обхватывает веретено и сжимает его изо всех сил. Вам кажется словно фиолетово-чёрный дым выходит из пальцев и впитывается в серебристую поверхность. Постепенно напор слабеет, рука опускается всё ниже и ниже... вы едва успеваете подхватить веретено, прежде чем оно упадёт на пол. Вы прикасаетесь к ладони, но она больше не подаёт признаков жизни.'
                s:disable()
                _'Выключенная ладонь':enable()
            elseif w^'Молот' then
                pn 'Ладонь отказывается брать молот и быстро вращает кистью по кругу.'
            elseif w^'Клещи' then
                pn 'Ладонь отказывается брать клещи и быстро вращает кистью по кругу.'
            else
                return false
                --pn 'Ничего хорошего не получилось.'
            end -- if
        end; --func
};
obj {
    nam = 'Выключенная ладонь';
    dsc = [[Ладонь на юго-востоке безжизненной плетью свисает вниз и не шевелится.
    ^
    Не стоит здесь задерживаться.]];
}:disable();
}


room {
nam = 'Западный коридор финал';
disp = 'Западный коридор';
pic = 'img/west_final'..picext;
way = {path{'В зал', 'Зал_финал'},
       path{'Наружу', 'Снаружи_финал'}};
}:with{

obj {
dsc = 'Свечи в коридоре больше нет и он погружён в полутьму. Стены совершенно чёрные, опыт подсказывает вам, что приближаться к ним не стоит. Табличка над дверным проёмом в зал светится нехорошим красным светом, а значки на ней в две строки подозрительно напоминают чью-то хищную пасть.';
};

obj {
nam = 'Яма_финал';
--pic = 'img/bottom'..picext;
dsc = 'У входа расположена {яма}, закрытая массивной железной решёткой.';
act = 'Изнутри на вас смотрит темнота.';
used = function(s,w)
        if w^'Веретено' then 
                  pn 'Поколебавшись вы бросаете веретено сквозь решётку в темноту. Проходит добрые десять секунд прежде чем вы слышите звук глухого удара о пол.'
                  replace('Веретено', 'Крутиться...')
                  place('Веретено', 'В глубине')
                  return true
            elseif w^'Молот' then
                pn 'Вы наносите несколько сильных ударов по решётке, но на ней не остаётся даже царапины.'
            elseif w^'Клещи' then
                pn 'Вы пытаетесь отогнуть решётку клещами, но сил не хватает.'
            else
                return false
        end -- if
        end;-- func
};
}


room {
    nam = 'В глубине';
    pic = 'img/bottom'..picext;
}:with{

obj {
dsc = 'Ровный квадрат метр на метр, окружённый сплошной стеной. Высоко-высоко над головой волнами колеблется темнота, словно вы смотрите со дна на поверхность воды. Стены шершавые и чёрные. Здесь тепло и немного влажно. Несмотря на внешнее сходство с могилой вас охватывает чувство безопасности.';
};

obj {
nam = 'Ящик для инструментов';
dsc = 'Под ногами стоит {ящик} с инструментами.';
act = 'Внутри несколько стамесок, пассатижи, ещё какая-то мелочь. Вы понимаете, что всё это вам не нужно.';
used = function(s,w)
        if w^'Веретено' then 
                    pn 'Это ваше веретено, не надо оставлять его здесь.'
        elseif w^'Молот' then
                    pn 'Вы кладёте молот в ящик. Всё должно быть на своих местах.'
                    place('Молот', 'Ящик для инструментов')
        elseif w^'Клещи' then
                    pn 'Вы кладёте клещи в ящик. Всё должно быть на своих местах.'
                    place('Клещи', 'Ящик для инструментов')
        end -- if
        if where('Молот')==s and where('Клещи')==s then
                        --pn 'Вы оставляете все предметы. Сон распадается.'
                        xact.fwalk('Пробуждение')
                        end -- if
        end;-- func
}
}

room {
nam = 'Снаружи_финал';
disp = 'Снаружи';
pic = 'img/outside_final'..picext;
way = {path{'В дом', 'Западный коридор финал'}};
}:with{
obj {
dsc = 'Темнота как будто приблизилась. Сильно. Кажется, словно пяти-шести шагов в сторону достаточно, чтобы упереться в стену из ничего. Дом начинает растворяться в этой черноте, стоит отвести от него взгляд.';
};
obj {
nam = 'Колокол_финал';
dsc = '{Колокол} неподалёку выглядит без изменений.';
act = 'Поверхность ровная, гладкая и чистая. Кристаллов здесь больше нет.';
used = function(s,w)
        if w^'Молот' then
            pn 'Вы ударяете молотом по колоколу. Он беззвучно обрушивается на землю грудой осколков.'
            replace('Колокол_финал','Осколки колокола')
            _'Снаружи_финал'.pic = 'img/outside_final_d'..picext
        elseif w^'Клещи' then
            pn 'Здесь нечего вытащить клещами.'
        else
            return false 
        end -- if
        end;
};
obj {
dsc = '^Щелчки и скрипы здесь ещё громче, чем внутри.';
};
}

obj {
nam = 'Осколки колокола';
dsc = '{Куча} обломков колокола свалена неправильной пирамидой на земле.';
withpearl = true;
act = function(s)
        if s.withpearl then
                pn 'Не хочется терять время, но вы всё-таки обшариваете осколки и каким-то чудом извлекаете из-под них чёрную жемчужину.'
                s.withpearl = false
                bpearlFound()
        else
                pn 'Больше здесь ничего нет.'
        end --if
        end;
used = function(s,w)
        if w^'Молот' then
            pn 'Тут всё разбито и так.'
        elseif w^'Клещи' then
            pn 'Копаться в куче клещами безопаснее, но слишком долго.'
        else
            return false 
        end -- if
        end;
}


room {
nam = 'Пробуждение';
disp = 'Задверье';
pic = 'img/dream2'..picext;
onexit = function(s) fading.change{'none'} end;
noinv = true;
decor = function(s) return str(s) end;
}

room {
nam = 'Эпилог';
disp = 'Дневник';
noinv = true;
pic = 'img/diary_final'..picext;
decor = function(s) return str(s) end;
}

room {
nam = 'PS';
disp = 'Конец игры';
pic = 'img/logo'..picext;
onexit = function(s) fading.change{'none'} end;
noinv = true;
decor = function(s) return [[
Победа!^
Найдено секретов: ]]..tostring(bpearl)..[[ из 5.^
^
Надеюсь, что вам понравилось, и спасибо за терпение.^
Пожалуйста, не поленитесь поделиться своими {$w|впе`чат`ле`ни`ями} от игры в репозитории instead (instead-games.ru) или на профильных форумах. Ваши рецензии и отклики действительно нужны. Они не только ободряют авторов, но и помогают другим игрокам найти то, что им может быть интересно. Только активное сообщество способно поддерживать интерактивную литературу на плаву.^
Удачи, и до встречи в новых играх!^
^
Лука (ot-luki@narod.ru)]] end;
}
