--    Ныряльщик/The Diver
--    Copyright (C) 2024  Luka (ot-luki@yandex.ru)
--
--    This program is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with this program.  If not, see <https://www.gnu.org/licenses/>.

room {
nam = 'Вступление';
noinv = true;
pic = 'img/diary'..picext;
onexit = function(s) fading.change{'none'} end;
decor = function(s) return str(s) end;
}


room {
nam = 'Вступление. Дневник';
disp = 'Дневник';
noinv = true;
pic = 'img/diary'..picext;
decor = function(s) return str(s) end;
}

room {
nam = 'Вступление. Сон';
disp = 'Преддверье';
pic = 'img/dream1'..picext;
noinv = true;
decor = function(s) return str(s) end;
}

room {
nam = 'В лесу';
disp = 'Поляна';
pic = 'img/forest'..picext;
onexit = function(s) fading.change{'none'} end;
}:with{

obj_1p {
dsc = 'Квадрат поляны окружён со всех сторон непроходимой стеной {леса}.';
act_1 = 'Чёрные сцепленные ветки с остатками листвы на ней. Вас радует то, что до них довольно далеко. Идти туда не стоит без очень веских причин.';
used = function(s,w)
            if w^'Веретено' then
                pn 'Вы не хотите туда идти.'
            else
                return false
            end -- if
        end; --func
};
obj {dsc = 'Пожухлая {$w|зе`лё`но-`ко`рич`не`вая} ';};

obj_1p {
dsc = '{трава}, без единого цветочка, редкая, не закрывает землю до конца и оставляет местами чёрные проплешины.';
act_1 = 'В народе верят, что увидеть траву во сне — добрая примета. Только вот не тогда, когда она такого цвета; пожухлая трава обещает болезни и трудности. Впрочем, и то, и другое — чепуха. Подлинные опасности не имеют отношения к растительности.';
used = function(s,w)
            if w^'Веретено' then
                pn 'Будет неприятно его потерять.'
            else
                return false
            end -- if
        end; --func
};

obj {
nam = 'Пень';
dsc = 'В центре огромный {пень} — метра два в обхвате — вцепился открытыми корнями в почву.';
acted = false;
act_1 = mystr['Смотреть на пень'];
act_2 = 'Большой уродливый пень.' ;
act = function(s)
        if s.acted then return s.act_2
                    else    s.acted = true
                            enable('Лицо')
                            return s.act_1 
        end
        end;
used = function(s,w)
            if w^'Веретено' then
                pn 'Ничего хорошего не получилось.'
            else
                return false
            end -- if
        end; --func
};
}:with{

obj {
nam = 'Лицо';
dsc = '^На срезе пня барельефом выступает человеческое {лицо}, закрытое ладонями рук.';
act = function(s) 
        replace('Лицо', 'ЛицоОткр')
        pa 'Гладить пень'
        end;
used = function(s,w)
            if w^'Веретено' then
                pn 'Это бесполезно.'
            else
                return false
            end -- if
        end; --func
}:disable()
}

obj {
nam = 'ЛицоОткр';
dsc = '^На срезе пня барельефом выступает неподвижное лицо, его глаза закрыты, а рот открывает небольшое {Отверстие|отверстие}, идущее вглубь.';
}:with{
obj{
nam = 'Отверстие';
act = 'Дна не видно, а совать туда пальцы не хочется.';
used = function(s,w)
        if w^'Веретено' then
                        replace('Веретено', 'Крутиться...')
                        place('Веретено', 'Снаружи')
                        return 'Вы снова осматриваетесь по сторонам. Лес вокруг выглядит непривлекательно. Пасть на лице — тоже. Но последнее безопаснее. Так что, поколебавшись немного, вы бросаете веретено внутрь пня.'
            else
                return false
            end;
        end;
}
}
