--    Ныряльщик/The Diver
--    Copyright (C) 2024  Luka (ot-luki@yandex.ru)
--
--    This program is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with this program.  If not, see <https://www.gnu.org/licenses/>.

room {
nam = 'Южная комната';
pic = 'img/south'..picext;
way = {path{'В зал','Зал'}};
}:with{
obj_1p {
dsc = [[В комнате душно, пыльно и совершенно пусто. Ни окон, ни предметов — ничего. Только грязь на полу.^
На стенах слева и справа вы видите множество {рисунков} углём. Многие из них неразборчивы, другие представляют собой неясное нагромождение линий, но некоторые всё же получается прочесть. Они выглядят словно нарисованы маленьким ребёнком, не знающим ни объёма, ни перспективы.^
На передней стене вы различаете контур лица, лишённый каких-либо черт.]];
act_1 = [[Вот девочка с косичками в домике. Она закрывает рот руками, а во все стороны от неё летят слёзы. Снаружи домика большие фигуры толпятся вокруг бородатого кузнеца с наковальней. Вот девочка прячется среди деревьев, а с двух сторон к подбираются волки. Вот она обхватывает руками огромный колокол в два раза больше её самой.]];
used = function(s,w)
         return 'Ничего хорошего не получилось.'
        end; --func
};
} -- Здесь заканчиваются предметы южной комнаты





room {
nam = 'Южная комната закрытая';
pic = 'img/south_close'..picext;
disp = 'Южная комната';
}:with{

obj {
dsc = 'Пустая коробка из четырёх одинаковых стен. Поверхность испещрена неровными полосами, словно капли воды, стекая сверху вниз, выели под собой следы в их плоти. На полу, точно в центре -- круглое сырое пятно, совершенно ровное, сантиметров пятнадцать диаметром.';
};

obj {
nam = 'Стон';
dsc = 'Ровный, монотонный стон звучит со всех четырёх сторон. Он то затихает, то становится громче, но никогда не прекращается совсем.';
};

'Проход наружу';

} -- Конец предметов закрытой комнаты



room {
nam = 'Южная комната активированная';
disp = 'Южная комната';
pic = 'img/face'..picext;
soundReact = function(s, sound) -- Необходимо активировать изменение лица при выпускании громких звуков из кувшина
                if sound == 'Колокол' or sound == 'Лязг' or sound == 'Стук' or sound == 'Вопль' then
                       _'Лик':change()
                end --if
              end; -- func
way = {path{'В зал','Зал'}};
}:with{
obj{
dsc = 'В комнате пусто. Пахнет сырой землёй и прелыми листьями. Над входом, почти под самым потолком горят четыре свечи. Рисунков углём на стенах больше нет, а сами они испещрены вертикальными неровными полосами.';
};
'Лик';

} -- Конец предметов активированной комнаты
