--    Ныряльщик/The Diver
--    Copyright (C) 2024  Luka (ot-luki@yandex.ru)
--
--    This program is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with this program.  If not, see <https://www.gnu.org/licenses/>.

mystr['Вступление']=
[[Вы сидите за небольшим столиком. За окном темно, тускло горит свеча. Тихо, только стрекочут кузнечики на улице. Перед вами чистым разворотом раскрыта тетрадь — ваш дневник.

{@ walk "Вступление. Дневник"|<Писать в дневник>}]]

mystr['Вступление. Дневник']=
[[572 год новой эры, 5 день 6 луны.

Небольшая деревушка, домов в двадцать. Даже названия нет: местные сказали, что живут "у леса". Захочешь найти — не найдёшь. Из {$w|дос`то`при`ме`ча`тель`нос`тей} метровой ширины пень посреди тракта. Ни гостиницы, ни хотя бы трактира; повезло, что молочница пустила на постой.
Людишки просты до неприличия и через одного неграмотны. Словно дома очутился. Сдуру сказал, что ныряльщик. Что я только не наслушался про свою работу. Видно, в деревнях всю зиму тратят на выдумывание небылиц за отсутствием других развлечений. Из свеженького: «перед сном ныряльщик сжимает в зубах нож, чтобы им в сновидении убивать чертей и вытаскивать жемчужины из их кишок». Посмотрел бы я на такое: на сторожа с ножом. Два часа объяснял, что сон --- он как загадка, которую нужно разгадать, как ребус. Что драться с чертями последнее дело. Что за каждую жемчужинку приходится попотеть, даже за чёрную. Иначе разве я ходил бы в таком перелатаном плаще? Смеются. Впрочем, по меркам этой дыры я и в этом плаще богач.
Ложусь спать. Аладонна почти кончилась, надо не забыть купить при первой возможности. Сегодня попробую без неё. Здесь так спокойно, что не должно возникнуть проблем. С того случая месяц назад до сих пор дёргается глаз. Угораздило же заночевать в доме с покойником. Вытащил тогда из сна пять красных жемчужин за раз — сказать кому, не поверит. Но оно того не стоило. Я чуть не остался там — во сне. И клятые черти... добрых пять лет жизни потерял за те пять жемчужин.
Купить аладонны!
Всё. Ложусь. Крайний сон — не последний сон.

{@ walk "Вступление. Сон"|<Спать>}]]

mystr['Вступление. Сон']=
[[Темнота, за ней другая, третья. Они совершенно чёрные, но все разного цвета. Никак не объяснить, в чём отличие, все слова были придуманы не здесь. Дрёма швыряет вас из одной тьмы в другую.
Дрёма... словечко из жаргона ныряльщиков. Дрёма это не сновидение, не сон спящего, не его состояние. Дрёма --- это сам порядок, который листает перед вами эти чёрные страницы. Божок ныряльщиков, никем никогда не виденный, но очевидный каждую ночь.
Некоторые болтают, будто умеют по оттенку черноты определить, что ждёт тебя по ту сторону: много ли будет жемчужин и есть ли у них сторожа. Благодарное это дело --- болтать о том, что происходит во сне: никто никогда не сможет проверить. Чепуха. Россказни для новичков и развешивающих уши девиц.
Вы носитесь от одной черноты к другой. Не выбираете, просто ищете ту, которая впустит в себя. В этом преддверии можно провести всю ночь. Это безопасно, но выматывает. Поэтому лучше открыть одну, пройти до выхода и там, вернувшись обратно --- в черноту задверья, уже выспаться.
Очередная страница тьмы. Она слегка поддаётся перед вашей волей. Рвётесь внутрь, в сновидение. Там, в глубине есть нечто, что должно разрешить. Это ваша работа, потому что вы получаете за неё награду. Это ваше наказание, потому что ныряльщик не может от этого отказаться.
Чернота перетекает из одного места в другое, сгущается и разряжается, рождая образы. Сновидение открывается и вы погружаетесь внутрь.

{@ fwalk "В лесу"|<Войти в сновидение>}]]


mystr['Смотреть на пень']=
[[Вы подходите ко пню ближе и осматриваете его. Чёрная кора растрескалась и пошла волнами, крючковатые открытые корни словно обхватывают что-то большое внизу. Ровный чистый срез светлым пятном гипнотизирует сходящимися кругами годовых колец. Невозможно понять, что это было за дерево.
На срезе пня барельефом выступает человеческое лицо, закрытое ладонями рук.]]

mystr['Гладить пень']=
[[Вы осторожно прикасаетесь к барельефу. Невольно ваше движение выглядит так, словно вы его гладите. Деревянные ладони под пальцами исчезают, открывая хорошо знакомое лицо.
--- Ну здравствуй, батя, --- цедите вы сквозь зубы, недовольно, но без особого удивления.
Отец пристально смотрит прямо на вас своими маленькими хитрыми глазками. Точно такой, каким вы его запомнили. Сейчас, наверно, постарел. Если ещё живой. Вы замечаете глубокие следы морщин, словно деревянные мышцы под деревянной кожей напряжены в постоянном усилии. Вы осторожно делаете полшага назад. Ещё несколько секунд лицо смотрит перед собой в пространство, затем глаза закрываются, а рот приобретает хищный оскал, демонстрируя зияющее отверстие пару сантиметров диаметром.]]


mystr['Активация цепей']=
[[Что-то щёлкает, и зал заливается ярким белым светом. Он струится прямо из воздуха и острыми тенями вычерчивает стыки досок на стенах, массивный брус дверных косяков, неровности пола. Вы поднимаете голову и видите над собой конусом уходящий вверх свод.
--- Вот и хорошо, --- сосредоточенно произносите вы вслух, --- вот и замечательно. 
Опыт подсказывает, что самое неприятное ещё впереди, поэтому вы не спеша обходите посветлевшие комнаты, {$w|про`ве`ря`е`те,} что кувшин и веретено под рукой, и медленно подходите к кресту. В самом его центре ярким рубином горит крупная бордовая жемчужина.

{@ fwalk "Преображение"|<Взять жемчужину>}]]

mystr['Преображение']=
[[Вы ещё раз оглядываетесь по сторонам, прикидываете путь отступления и, задержав дыхание, вынимаете жемчужину из крестовины.
Повисает неестественная тишина, такая плотная, что её можно потрогать. Кисти по углам комнаты бросают цепи на пол, двери разом захлопываются. От раздавшегося грохота кувшин в руках разлетается на осколки. Свет гаснет, в зал возвращается привычный сумрак. Руки тянутся в вашу сторону, шевелят тонкими пальцами. Вы выдыхаете. Могло бы быть и хуже, но в любом случае пора отсюда убираться.
Ладонь, которую вы освободили, пытается привлечь ваше внимание.

{@ fwalk "Зал_финал"|<Дальше>}]]

mystr['Пробуждение']=
[[Сон распадается на чёрные пятна. Темнота обволакивает вас со всех сторон. Некоторые думают, что награда ныряльщика --- это жемчужины. Нет. Жемчужины нужны тем, кто бодрствует, то есть кому-то другому, не здесь и не сейчас. Настоящая награда --- это тёплая, мягкая теплота задверья, из которой так не хочется уходить. Если б сюда можно было попасть мимо сновидения, ни один ныряльщик не погрузился бы за жемчугом.
Вы тонете в пустоте, слыша только собственное дыхание и лёгкий запах преющей соломы. Мысли путаются, толкаются, цепляются друг за друга острыми краями. Один. Два. Три. Здесь не бывает бессонницы. Четыре. Пять. Вам ещё ни разу не удалось досчитать до десяти. Шесть. Семь...

{@ walk "Эпилог"|<Эпилог>}]]

mystr['Эпилог']=
[[572 год новой эры, 6 день 6 луны.

Говорят, если видел пень во сне, надо изменить образ жизни, а пустой кувшин предвещает разлад с друзьями. У отца была целая книжка таких выдумок, он заставил выучить её наизусть. На редкость бесполезная подготовка к профессии.
Дрёма привела в ещё один забытый старый дом, нет смысла записывать детали, их все словно делал один и тот же строитель. Это потому, что все люди одинаковые, если брать по большому счёту. А ещё потому что я всегда один и тот же.
Заброшенные дома это не страшно, но всё-таки не может быть в глухой деревушке таких снов. Просто так --- не может быть. Поспрашивал, и верно: недавно удавилась дочь кузнеца (и знать не хочу почему). Всем уже неделю снятся черти, но меня предупредить об этом никто не удосужился, чтобы я хотя бы аладонны выпил. Иногда кажется, что лучше всего ночевать прямо посреди леса. Слишком много внутри у людей черноты, и ночью она заливает всё вокруг, а демоны вылезают наружу из подсознания. Вот откуда у этих деревенщин подсознание?
Оставаться нельзя, не то к местным чертям прибавятся мои собственные. Так что в путь, и чем тропинка сильнее заросла --- тем лучше.

{@ fwalk "PS"|<Конец игры>}]]



mystr['1']=
[[Улыбка невольно пробегает по лицу, чтобы немедленно спрятаться в морщинах между бровями. Маленький чёрный шарик не больше ногтя. Вы сжимаете его в ладони изо всех сил и закрываете глаза. Шарик исчезает, а вас изнутри обдаёт волной тепла и света, выбивая из памяти брызги воспоминаний.
Трава была зелёная-зелёная. Такой цвет бывает только во сне и в раннем детстве. Потом всё тускнеет, сереет, смешивается с коричневым и больше не возвращается. На траве было что-то синее: не то бабочка, не то цветок. Но такое же насыщенное. Синее бесформенное пятно на зелёном фоне, на которое можно было смотреть вечно. И больше ничего. Видимо, какое-то очень ранее воспоминание. Но радостное. Впрочем, жемчужины всегда находят что-то светлое, даже если кажется, что светлого ничего-то и нет.
--- Может быть не стоило её тратить? --- мелькает мысль у вас в голове. --- Всё ж таки деньги.
Но вы отбрасываете сомнения в сторону. Во-первых, потому что поздно. Во-вторых, вам не помешает немного бодрости в этом мрачном месте. Не для того вы погружаетесь каждую ночь за жемчугом, чтобы жалеть его для себя.]]

mystr['2']=
[[Вторую жемчужину вы просто суёте в карман.
Так завещал старый Карл: первую поглощай, остальные выноси. Он ничего никогда не объяснял и не терпел возражений, надутый от собственного апломба... ученики не любили его и звали индюком --- за пузо и за кривой нос. Он держал человек пять одновременно. Никто толком не понимал зачем: денег он за это брал символически, а учителем был никудышным. Карл был искренне уверен, что всё знает лучше всех, а уж в сновидениях --- так просто полубог. Препротивный характер.
Теперь он пускает слюни в богадельне для поехавших ныряльщиков, и едва ли хоть кто-то из десятков учеников его навещает.]]

mystr['3']=
[[Третья жемчужина отправляется вслед за предыдущей. Копеечка к копеечке.
Вам приходит на память, как вы пошли к Карлу в учение. Было три варианта и этот казался худшим. Да и был им. Вы тогда убедили себя, что дело в деньгах, Карл действительно брал меньше прочих. Много пожзе вы осознали подлинную причину: учитель был похож на отца. Немного внешне, но главное --- самоуверенностью, наглостью и жаждой решать за окружающих. Это то, от чего вы сбежали из дома. Сбежали, чтобы терпеть три года Карла и в итоге стать ныряльщиком, как и требовал отец. Странная штука --- свобода.]]

mystr['4']=
[[Вы убираете ещё одну жемчужину в карман. Во всём есть положительные моменты: чем сон опаснее, тем больше жемчуга. Если подумать, у вас совсем не плохая профессия. На жизнь хватает. Никаких тебе начальников. Все дни свободны --- делай что хочешь, и где хочешь живи. А риск... что ж поделаешь. Однажды каждый ныряльщик не просыпается. Или едет крышей. Хуже то, что пару раз погрузившись в дрёму, бросить уже нельзя: спать "по-нормальному" больше не получается. Работа на каждый день и на всю оставшуюся жизнь. Днём свобода, ночью необходимость.]]

mystr['5']=
[[Беспокойно оглянувшись по сторонам вы берёте ещё одну жемчужину. Где-то должен быть выход из сна. Пока сторожей не видно, надо убираться отсюда. И в деревне тоже оставаться не стоит. Даже на обычные два-три дня. Местные быстро замечают, когда что-то не так, и каким-то образом, вопреки своей тупости, безошибочно находят причину в вашем лице. Опасность насилия невелика, но вот слухи... слухи вы не можете себе позволить. Поэтому останавливаться нельзя. Слово "проклятие" отдаёт неприятным пафосом, но трудно назвать это по-другому. Хорошо, что сейчас лето; летом дорога приятна.]]
